<!DOCTYPE html>

<html data-ng-app="newSpot" ng-strict-di>

<head>

    <meta name="viewport" content="width=device-width, initial-scale=0.8">
    <link rel="stylesheet" href="../../assets/bootstrap/css/bootstrap.css">
    <link rel="stylesheet" href="../../components/gridstack/dist/gridstack.css">
    <!--<link rel="text/plain" href="../../components/gridstack/dist/gridstack-extra.scss">-->
    <link rel="stylesheet" href="newSpot.css">

</head>

<body ng-controller="NewSpotController">
    <div id="container" class="col-xs-11 col-sm-offset-1">
        <div id="grid-snap" class="draggable drag-drop">
        </div>
        <div class="draggable">
        </div>
        <div class="container-fluid" id="seconds">
            <div ng-repeat="n in range(240) track by $index" class="contents col-xs-1 dropzone" id="seconds_separator">{{0.5 +((($index+1) - 1)*0.5)}}s
            </div>
        </div>

        <!--<div gridstack class="grid-stack grid1" options="options" on-change="onChange(event,items)" on-drag-start="onDragStart(event,ui)" on-drag-stop="onDragStop(event,ui)" on-resize-start="onResizeStart(event,ui)" on-resize-stop="onResizeStop(event,ui)">
            <div gridstack-item ng-repeat="w in widgets" class="grid-stack-item" gs-item-x="w.x" gs-item-y="w.y" gs-item-width="w.width" gs-item-height="w.height" gs-item-autopos="w.auto_position" on-item-added="onItemAdded(item)" on-item-removed="onItemRemoved(item)">
                <div class="grid-stack-item-content">
                    <center>
                        <img src={{w.image_src}} class="img-responsive">
                        <h7>{{w.content_name}}</h7>
                        <button id="delete_block" ng-click="removeWidget(w)">Delete me</button>
                    </center>
                </div>
            </div>
        </div>-->
    </div>
    <!--<script type="text/javascript">
        $(window).on('load', function() {
            var options = {
                alwaysShowResizeHandle: true,
                animate: true,
                float: true,
                // minWidth: 2000
                // width: 120
                // height: 10,
                // cellHeight: 20
            };

            $('.grid-stack').gridstack(options);
            // $('.grid-stack').css("touch-action", "none");
            // $('.grid-stack').addTouch();

        });
    </script>-->



    <script src="../../assets/lodash/lodash.min.js"></script>
    <script src="../../assets/jquery/jquery.min.js"></script>
    <script src="../../assets/jquery/jquery-ui.js"></script>
    <script src="../../assets/jquery/jquery-ui.touch.min.js"></script>
    <script src="../../assets/jquery/jquery.ui.touch-punch.min.js"></script>
    <script src="../../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../../assets/js/underscore-min.js"></script>
    <script src="../../components/gridstack/dist/gridstack.js"></script>
    <script src="../../assets/angular/angular.min.js"></script>
    <script src="../../assets/interact.js"></script>
    <script src="sample.js"></script>
    <script src="newSpot.module.js"></script>
    <script src="newSpot.directive.js"></script>
    <script src="../gridstack/src/gridstackitem.directive.js"></script>
    <script type="text/javascript" src="../../assets/js/add-widgets.js"></script>



</body>

</html>